
QGIS Application - Bug report #11899

Coordinates issue in print composer

2014-12-21 05:52 AM - Jaromir Mikes

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20110

Description

While I had set CRS to WGS 84 for my project I could have coordinates displayed as expected in print composer.

Then I changed project settings CRS to WGS 84 / UTM zone 33N as this is more appropriate for Norway region ... since that time

coordinates in print composer displaying totally incorrect values.

History

#1 - 2014-12-21 12:20 PM - Nyall Dawson

- Status changed from Open to Feedback

We need more info. Can you please provide more detail? Screenshots of what you see versus what you expect would be useful.

#2 - 2014-12-21 02:02 PM - Jaromir Mikes

- File wgs84-utm33N.png added

- File wgs84.png added

Hello,

I am sending screenshots ... they are self-explanatory. Pls let me know if additional info is needed.

mira

#3 - 2014-12-30 02:11 AM - Nyall Dawson

Try changing the coordinate format. You shouldn't be using degrees/minutes with projected coordinates.

#4 - 2015-01-10 06:56 AM - Jürgen Fischer

- Category set to Map Composer/Printing

#5 - 2015-01-26 07:36 AM - Jaromir Mikes

Hello,

sorry for late answer ...

I shouldn't use degrees/minutes with projected coordinates? Than only other option is use decimal values which are not useful for me at all :(

I am building hiking map based on OSM data so degrees/minutes coordinates are important for me. Than I can with GPS find my position on map easily.
Maybe this "issue" could be changed to "feature request"?

mira

#6 - 2015-01-26 01:23 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

If you're wanting the grid in degrees/minutes, then you'll need to use geographic coordinates. To do this you'll need to set the projection for the GRID to

WGS 84 (not the projected WGS 84 / UTM zone 33N CRS), or any other geographic CRS. The grid CRS can be set independently of the main map

canvas' CRS, so you can leave your map in UTM zone 33 and just have the grid reprojected.

I'm closing this report, as what you're after is already implemented and there's no bug/missing feature here. But if you run into difficulties with the grid

projection please open a question over at http://gis.stackexchange.com/ , I'll send screenshots/etc over there.

Files

wgs84.png 294 KB 2014-12-21 Jaromir Mikes

wgs84-utm33N.png 273 KB 2014-12-21 Jaromir Mikes
